contract
Get the activity events for a contract
Get the activity events for a contract
GET
/
v0
/
contract
/
{id}
/
activity
Get the activity events for a contract
curl --request GET \
--url https://{hostname}.gable.ai/v0/contract/{id}/activity \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{hostname}.gable.ai/v0/contract/{id}/activity"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{hostname}.gable.ai/v0/contract/{id}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"type": "CONTRACT_UPDATED",
"datetime": "2023-11-07T05:31:56Z",
"fileUri": "<string>",
"gitUser": "<string>"
}
]{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}Authorizations
Path Parameters
UUID of the contract
Response
Successful response containing the activity events for the contract
Minimum array length:
1- Option 1
- Option 2
type of the event
Available options:
CONTRACT_UPDATED date time at which the contract was updated
full link to the file and commit in the repo that contains this updated contract
the git user who edited the contract
⌘I
Get the activity events for a contract
